![](https://www.politico.com/interactives/cdn/images/badge.svg)

# @politico/interactive-style

Component library for base POLITICO interactive page stylings.

## Quick Start

Installation:

```
$ yarn add @politico/interactive-style
```

Import only what you need:

```javascript
import { Headline } from "@politico/interactive-style";
```

Use it in your component:

```javascript
import React from "react";

const MyComponent = () => <Headline />;

export default MyComponent;
```

## Development

Clone Repo:

```
$ git clone https://github.com/The-Politico/politico-interactive-style
```

Install dependencies:

```
$ yarn
```

Start development server:

```
$ yarn start
```

## Publishing Changes

Increase the version number in `package.json`. Increase the last number (i.e. `2.2.x`) if you're pushing a bug fix. Increase the second number and reset the last one to 0 (i.e. `2.x.0`) if you're pushing a new feature.

Rebuild the docs server.

```
$ yarn build
```

Commit/Push to GitHub with the latest version number.

```
$ git add .
$ git commit -m 'v2.x.x: What you changed.'
$ git push origin master
```

Publish latest docs (you have to be pushed to GitHub for this to work properly).

```
$ yarn docs
```

Publish to NPM. It will show you the current version as what you just changed in package.json. Don't increment again when prompted here, just hit enter.

```
$ yarn publish
```
