import { useMemo } from 'react';
import Box from './Box';
import Rect from './Rect';

import classes from './styles.module.scss';

const Placeholder = (props) => {
  const { active, type } = props;

  if (!active) {
    return null;
  }

  const PlaceholderType = useMemo(() => {
    if (type === 'leaderboard') {
      return Rect;
    }

    return Box;
  }, [type]);

  return (
    <div className={classes['ad-placeholder']}>
      <PlaceholderType />
    </div>
  );
};

export default Placeholder;
