/* eslint-disable react/no-array-index-key */
/* eslint-disable react/no-danger */
import { Fragment } from 'react';
import classnames from 'classnames';

import classes from '../styles.module.scss';

export default function useBylines(authors, additionalClasses) {
  const output = authors.slice();
  const lastAuthor = output.pop();
  const secondToLastAuthor = output.pop();

  const {
    authorLink: linkClass,
    authorName: nameClass,
  } = additionalClasses;

  return (
    <>
      {output.map((author, i) => (
        <Fragment key={i}>
          <a
            className={classnames(classes['author-link'], linkClass)}
            href={author.link}
          >
            <span
              className={classnames(classes['author-name'], nameClass)}
              dangerouslySetInnerHTML={{ __html: author.name }}
            />
          </a>
          ,&nbsp;
        </Fragment>
      ))}

      {secondToLastAuthor
        && (
        <>
          <a
            className={classnames(classes['author-link'], linkClass)}
            href={secondToLastAuthor.link}
          >
            <span
              className={classnames(classes['author-name'], nameClass)}
              dangerouslySetInnerHTML={{ __html: secondToLastAuthor.name }}
            />
          </a>
          &nbsp;and&nbsp;
        </>
        )}

      {lastAuthor && (
        <a
          className={classnames(classes['author-link'], linkClass)}
          href={lastAuthor.link}
        >
          <span
            className={classnames(classes['author-name'], nameClass)}
            dangerouslySetInnerHTML={{ __html: lastAuthor.name }}
          />
        </a>
      )}
    </>
  );
}
