import { useMemo } from 'react';

const useHref = function useHref({
  destination,
  protocol,
  hrefFromProps,
}) {
  return useMemo(() => {
    if (protocol === 'https:' || protocol === 'http:') {
      return hrefFromProps;
    }

    if(protocol === 'int:') {
      return `/${destination}`;
    }

    return '/';
  }, [protocol, hrefFromProps, destination]);
};

export default useHref;
